import net.sf.jameleon.plugin.httpunit.HttpUnitFunctionTag;
import com.meterware.httpunit.WebForm;

/**
 * Logs in with a username and passowrd.
 * @jameleon.function name="login" type="action"
*/

public class Login extends HttpUnitFunctionTag{

    /**
     * User name
     * @jameleon.attribute required="false" contextName="login"
     */
    protected String loginName;
    /**
     * Password
     * @jameleon.attribute required="false" contextName="passwd"
     */
    protected String password;
    /**
     * The name of the form to submit
     * @jameleon.attribute required="true" default="entryForm" contextName="formName"
     */
    protected String loginFormName;

    public void testBlock(){
        WebForm form = getForm(loginFormName);
        form.setParameter("userName", loginName);
        form.setParameter("password", password);
        submitForm(form);
    }
}