import net.sf.jameleon.plugin.httpunit.HttpUnitFunctionTag;
import com.meterware.httpunit.WebForm;

/**
 * Validates the current page is the desired page that is displayed 
 * after a login
 * @jameleon.function name="login-page-val" type="validation"
 * @author Daiju Kato
 */
public class LoginValidation extends HttpUnitFunctionTag{

    /**
     * Title of the main page.
     * @jameleon.attribute required="true" contextName="pageTitle"
     */
    protected String pageTitle;

    /**
     * Text in the main page.
     * @jameleon.attribute required="true" contextName="pageText"
     */
    protected String pageText;

    /**
     * Link in the main page.
     * @jameleon.attribute required="true" contextName="linkText"
     */
    protected String linkText;


   public void testBlock(){
        assertTitleEquals(pageTitle);
        assertTextPresent(pageText);
        assertLinkPresent(linkText); uliinkTextvύXOKH
    }
}